Debian Bug report logs - #678710
developers-reference: Clarify that removal of package from testing is possible

version graph

Package: developers-reference; Maintainer for developers-reference is Developers Reference Maintainers <debian-policy@lists.debian.org>; Source for developers-reference is src:developers-reference.

Reported by: Per Andersson <avtobiff@gmail.com>

Date: Sat, 23 Jun 2012 21:51:05 UTC

Severity: normal

Tags: patch

Found in version developers-reference/3.4.7

Fixed in version developers-reference/3.4.9

Done: David Prévot <taffit@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Developers Reference Maintainers <debian-policy@lists.debian.org>:
Bug#678710; Package developers-reference. (Sat, 23 Jun 2012 21:51:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Per Andersson <avtobiff@gmail.com>:
New Bug report received and forwarded. Copy sent to Developers Reference Maintainers <debian-policy@lists.debian.org>. (Sat, 23 Jun 2012 21:51:09 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Per Andersson <avtobiff@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: developers-reference: Clarify that removal of package from testing is possible
Date: Sat, 23 Jun 2012 23:48:13 +0200
[Message part 1 (text/plain, inline)]
Package: developers-reference
Version: 3.4.7
Severity: normal
Tags: patch

Dear Maintainer,

During my NM I got asked if removals from testing was possible. I
answered no since I had read in the section Removing packages that
removals were only possible from experimental, unstable, and stable.
Hence I stopped reading and answered.

I was brought to attention that I was wrong, and that removals from
testing are possible. I saw the later sections on testing and removals
from testing when revisiting the devref.


See attached patch for clarification of removals from testing.


Best,
Per


-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (990, 'unstable'), (500, 'stable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-4-686 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

developers-reference depends on no packages.

Versions of packages developers-reference recommends:
ii  debian-policy  3.9.3.1

Versions of packages developers-reference suggests:
ii  doc-base  0.10.3

-- no debconf information
[0001_mention_removing_from_testing.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Developers Reference Maintainers <debian-policy@lists.debian.org>:
Bug#678710; Package developers-reference. (Sun, 24 Jun 2012 00:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Developers Reference Maintainers <debian-policy@lists.debian.org>. (Sun, 24 Jun 2012 00:09:05 GMT) Full text and rfc822 format available.

Message #10 received at 678710@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: Per Andersson <avtobiff@gmail.com>, 678710@bugs.debian.org
Subject: Re: Bug#678710: developers-reference: Clarify that removal of package from testing is possible
Date: Sun, 24 Jun 2012 09:04:44 +0900
Le Sat, Jun 23, 2012 at 11:48:13PM +0200, Per Andersson a écrit :

> Index: pkgs.dbk
> ===================================================================
> --- pkgs.dbk	(revision 9223)
> +++ pkgs.dbk	(working copy)
> @@ -1309,7 +1309,10 @@
>  <literal>testing</literal> directly.  Rather, they will be removed
>  automatically after the package has been removed from
>  <literal>unstable</literal> and no package in
> -<literal>testing</literal> depends on it.
> +<literal>testing</literal> depends on it. (Removals from
> +<literal>testing</literal> are possible though by filing a removal bug report
> +against the <systemitem role="package">&release-debian-org;</systemitem>
> +pseudo-package. See the section <xref linkend="removals"/>.)

Dear Per,

I think that it is a good suggestion.  Perhaps you can go a bit further in
rewording the paragraph, which would still start with "Note that removals can
only be done for the unstable, experimental and stable distribution".  Also,
maybe you can include a link to the Debian wiki or transfer more information
from there if there is a consensus with the idea.

http://wiki.debian.org/ftpmaster_Removals#Removals_from_testing.2C_stable_and_oldstable

Cheers,

-- 
Charles Plessy
Tsurumi, Kanagawa, Japan




Information forwarded to debian-bugs-dist@lists.debian.org, Developers Reference Maintainers <debian-policy@lists.debian.org>:
Bug#678710; Package developers-reference. (Mon, 25 Jun 2012 18:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Developers Reference Maintainers <debian-policy@lists.debian.org>. (Mon, 25 Jun 2012 18:57:05 GMT) Full text and rfc822 format available.

Message #15 received at 678710@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Per Andersson <avtobiff@gmail.com>, 678710@bugs.debian.org
Subject: Re: Bug#678710: developers-reference: Clarify that removal of package from testing is possible
Date: Mon, 25 Jun 2012 20:54:47 +0200
Hi,

On Sat, 23 Jun 2012, Per Andersson wrote:
> See attached patch for clarification of removals from testing.

Thanks, applied.

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Get the Debian Administrator's Handbook:
→ http://debian-handbook.info/get/




Added tag(s) pending. Request was from Raphaël Hertzog <hertzog@debian.org> to control@bugs.debian.org. (Mon, 25 Jun 2012 19:06:16 GMT) Full text and rfc822 format available.

Reply sent to David Prévot <taffit@debian.org>:
You have taken responsibility. (Sun, 19 Aug 2012 22:21:06 GMT) Full text and rfc822 format available.

Notification sent to Per Andersson <avtobiff@gmail.com>:
Bug acknowledged by developer. (Sun, 19 Aug 2012 22:21:06 GMT) Full text and rfc822 format available.

Message #22 received at 678710-close@bugs.debian.org (full text, mbox):

From: David Prévot <taffit@debian.org>
To: 678710-close@bugs.debian.org
Subject: Bug#678710: fixed in developers-reference 3.4.9
Date: Sun, 19 Aug 2012 22:17:38 +0000
Source: developers-reference
Source-Version: 3.4.9

We believe that the bug you reported is fixed in the latest version of
developers-reference, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 678710@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
David Prévot <taffit@debian.org> (supplier of updated developers-reference package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 19 Aug 2012 17:34:59 -0400
Source: developers-reference
Binary: developers-reference developers-reference-de developers-reference-fr developers-reference-ja
Architecture: source all
Version: 3.4.9
Distribution: unstable
Urgency: low
Maintainer: Developers Reference Maintainers <debian-policy@lists.debian.org>
Changed-By: David Prévot <taffit@debian.org>
Description: 
 developers-reference - guidelines and information for Debian developers
 developers-reference-de - guidelines and information for Debian developers, in German
 developers-reference-fr - guidelines and information for Debian developers, in French
 developers-reference-ja - guidelines and information for Debian developers, in Japanese
Closes: 678710 678712 679562 679735
Changes: 
 developers-reference (3.4.9) unstable; urgency=low
 .
   * Team upload.
 .
   [ Raphaël Hertzog ]
   * Clarify that removals from testing are possible. Closes: #678710
     Thanks to Per Andersson <avtobiff@gmail.com> for the patch.
   * Reword various parts to be gender-neutral. Closes: #678712
     Thanks to Per Andersson and Steve Langasek for the patch.
   * Recommend usage of gender-neutral formulations in README-contrib.
   * Fix Vcs-Browser URL. Thanks to Charles Plessy who spotted it.
   * Document the existence of "hints" that release managers can
     use to tweak the conditions of testing migration. Closes: #679562
     Thanks to Paul Gevers <paul@climbing.nl> for the patch.
 .
   [ Translation updates ]
   * Japanese by Hideki Yamane.
   * French by David Prévot.
   * German by Chris Leick.
 .
   [ David Prévot ]
   * Fix typo: Freenodes -> Freenode. Closes: #679735
Checksums-Sha1: 
 d75d23fde47338d1d1fa14b7a9f29e7a73e5052a 2246 developers-reference_3.4.9.dsc
 b9ee9b0228ba450a174f94ae1bebf5c06ae705a5 446272 developers-reference_3.4.9.tar.xz
 0107455cf9be1cc58397e15a6d16d52476627718 687782 developers-reference_3.4.9_all.deb
 5eeee38798e7d3779e035dec99bd44afd958dace 764864 developers-reference-de_3.4.9_all.deb
 0a47f36d6b57853a36ace9fe90a792e3c46a340b 746032 developers-reference-fr_3.4.9_all.deb
 00d14deb3c07491da3d904036ea217713a9939ae 1178492 developers-reference-ja_3.4.9_all.deb
Checksums-Sha256: 
 f05d7594b1bde48413a65236054325cc3120ef54680ba9599cd7e0b14bd29150 2246 developers-reference_3.4.9.dsc
 717d4f8d2ed2dc4714f15598f552febfb52437bdceca946b3a890c7239072e4e 446272 developers-reference_3.4.9.tar.xz
 3945ceb6573a3a2350d164198258ae9027e3c80eeb7a26008b805fed01fc5624 687782 developers-reference_3.4.9_all.deb
 fd52bdbee6e291409218104479dbd63dddfec583a6fcbc2abba6f6a2a85d7fe0 764864 developers-reference-de_3.4.9_all.deb
 7fde109fa842c0826f7f0c44b71f6eaa805fd160abcad661d4a8deb176eeb92f 746032 developers-reference-fr_3.4.9_all.deb
 2c94d563e086bdab2ca5d3d999fc90370527a9e3d3fa4c6b156fae3bab009883 1178492 developers-reference-ja_3.4.9_all.deb
Files: 
 fc5b0d624aa7f8bf358058c951f83733 2246 doc optional developers-reference_3.4.9.dsc
 115b825a260ae074725e06d3f8f659b0 446272 doc optional developers-reference_3.4.9.tar.xz
 6f28011cc0166e2ad86e8a771d177417 687782 doc optional developers-reference_3.4.9_all.deb
 92de4cc3093417e28127802cbc9adbac 764864 doc optional developers-reference-de_3.4.9_all.deb
 7b1e001b167d87b72af44b700264fdb9 746032 doc optional developers-reference-fr_3.4.9_all.deb
 8713c338ffc03d3f59deb301df5777ee 1178492 doc optional developers-reference-ja_3.4.9_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQMWCxAAoJELgqIXr9/gnyD5EQAJcIXH8rT1EACwmhJld7yyJe
/vmwtA89pTgf3K45RRGgH+L4qAKOSp8jwZe7ih6yXZbvQErn3++hsLCGpDi9dyVU
31C6CF4/daqTXazcXFHHhgUarYMlhE3vtyhw3K2PnKQzvduc0dM0LEsNQnJZpYlq
KjqSJpP6fq8kO5XQdd5XDVLc3QboZWWAi66IivhBLpT30IBgsZnemjQ3NPgbyL6y
ZCN502Xlc+6vg6dlE52k7VMdlqgXjvP6vRSC7LcZBIkRcDKu7nERlxznWCZ1cfol
cu1HNtIAdNL2pJIWFmlmJ0Y2QSoYCSnm1em6MhBKX4kj3Hzwus8YQWsoANX+cO2B
uGC+Wwd+wXmUzXobvtA7raxSOm1Dn0NKWiEgs9x/HXbBBMmGxgQfibdSjEcpNNUL
VPOZZ8iTp51GFbYjlhjbi/XGby+yCgV5wpO7wt9Vx23bK1own7Q5pBXga2Qpvw7b
ORwRWMIV8j2FhFVa2ZLuhnuKZ1qm0Roqa0Q8hpn0+LTh014H6XcGpV9n9pw/yiZ0
6NCFBTmSo13Z5sPyar/UpG5T1lWf8Nfw88Qk45erudbKZ3jZFeROkQd8vTu9ikoz
vmtHhRpRnBl3T0LtNwo6lh1RI5+98KD1r9Krj6K4ZkJ1898iPNiAEHM8fQBzC+9W
qjYd/O3BewzJxNQFli78
=srG1
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 27 Sep 2012 07:25:31 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 02:51:29 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.